Question Class Reference

`#include <msg.h>`

Inheritance diagram for Question:

## Public Member Functions

| Question (void)
| Question (std::string msg)
| Question (const char *msgfmt,...)
void | printMessage (void) const
bool | getAnswer (void)
Public Member Functions inherited from MessageBase
| MessageBase (void)
| MessageBase (std::string msg)
| MessageBase (const char *msgfmt,...)
virtual | ~MessageBase ()
const std::string & | getMessage (void) const
void | setMessage (std::string msg)
void | setNewline (bool prnl)
const std::string | getNewline (void) const
void | setMessage (const char *msgfmt,...)

## Private Attributes

std::string | yeschar
std::string | nochar

## Additional Inherited Members

Protected Member Functions inherited from MessageBase
std::string | compose (const char *msgfmt,...) const
std::string | vcompose (const char *msgfmt, va_list ap) const
Static Protected Attributes inherited from MessageBase
static const unsigned int | MsgMaxSize = 512

## Constructor & Destructor Documentation

## Question() [1/3]

Question::Question | ( | void |  | ) |

## Question() [2/3]

Question::Question | ( | std::string | msg | ) |

## Question() [3/3]

Question::Question | ( | const char * | msgfmt,
|  |  | ... )

## Member Function Documentation

## getAnswer()

bool Question::getAnswer | ( | void |  | ) |

wait for the user to answer the question (should be printed before)

Returns
  true iff the user answers with yes, i.e. presses the yeschar-key

## printMessage()

void Question::printMessage | ( | void |  | ) | const

virtual

Implements MessageBase.

## Member Data Documentation

## nochar

std::string Question::nochar

private

## yeschar

std::string Question::yeschar

private

The documentation for this class was generated from the following files:

- msg.h
- msg.cc